const {
	http
} = uni.$u

// 获取用户信息
export const getUserInfoUrl = (data) => http.get('/dev-api/api/wechat/getInfo', data);
// 登录
export const loginUrl = (data) => http.get('/dev-api/api/wechat/login', data);
// 绑定信息
export const bindInfoUrl = (data) => http.get('/dev-api/api/wechat/bindPhone', data);
// 提交
export const applyUrl = (params, config = {}) => http.post('/dev-api/care/applications', params, config);
// 获取申请人列表
export const getPersonListUrl = (data) => http.get('/dev-api/care/persons/list', data);
// 获取所在医院列表
export const getHospitalListUrl = (data) => http.get('/dev-api/care/hospital/list', data);
// 上传
export const uploadAvatarUrl = (params, config = {}) => http.upload('/dev-api/system/user/profile/avatar', params,
	config);
// 获取未读消息数
export const getMsgCountUrl = (data) => http.get('/dev-api/system/notice/myNoticeList', data);
// 修改消息
export const modifyMsgUrl = (params, config = {}) => http.post('/dev-api/system/notice/setIsRead', params, config);





// 注册
export const registerUrl = (params, config = {}) => http.post('/xc-order/api//order/user/register', params, config);

// 查询消息列表
export const getMessageListUrl = (params, config = {}) => http.post('/xc-order/api/order/message/messageList', params,
	config);
// 修改个人信息
export const modifyUserInfoUrl = (params, config = {}) => http.post('/xc-order/api/order/user/updateUser', params,
	config);
// 获取预约日期信息
export const getDateInfoUrl = (data) => http.get('/xc-order/api/order/orderQuantum/getQuantumDateList', data);
// 根据日期获取预约数据
export const getInfoByDateUrl = (data) => http.get('/xc-order/api/order/orderQuantum/getQuantumList', data);
// 提交预约
export const submitReversationUrl = (params, config = {}) => http.post('/xc-order/api/order/business/submitOrder',
	params,
	config);
// 获取预约列表
export const getReservationListUrl = (data) => http.get('/xc-order/api/order/business/getOrderBusinessList', data);
// 取消预约
export const cancelReservationUrl = (params, config = {}) => http.put('/xc-order/api/order/business/cancelOrder',
	params, config);

// 修改密码
export const changePwdUrl = (params, config = {}) => http.put('/system/user/resetPwdByUser', params, config);
// 获取村社列表
export const getVillageUrl = (data) => http.get('/system/user/deptTree', data);
// 实名认证
export const authUrl = (params, config = {}) => http.put('/system/user/realName', params, config);

// 新增助学申请
export const addApplyUrl = (params, config = {}) => http.post('/deal/dmsStudyHelp', params, config);
// 助学申请列表
export const getApplyList = (data) => http.get('/deal/dmsStudyHelp/list', data);
// 助学申请详情
export const getApplyDetailUrl = (data) => http.get('/deal/dmsStudyHelp/' + data.id, data);
// 修改暂存
export const modifyApplyUrl = (params, config = {}) => http.put('/deal/dmsStudyHelp', params, config);
// 删除申请详情
export const deleteApplyUrl = (data) => http.delete('/deal/dmsStudyHelp/' + data.id, data);
// 查询是否有未读消息
export const hasUnReadMessageUrl = (data) => http.get('/deal/messageInfo/isRead', data);

// 进度节点列表
export const getProcessNodeUrl = (data) => http.get('/deal/processInfo/list', data);